API (1.0.0)

Download OpenAPI specification:Download

Authentication

bearerAuth

Security Scheme Type HTTP
HTTP Authorization Scheme bearer

Account

APIs for managing account information

Current User

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Credit Note

APIs for managing credit notes

Get all credit notes.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {},
  • "meta": {},
  • "success": true
}

Create new credit note.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
customer_id
integer

integer, ID of the customer

credit_note_date
string

date, Credit Note Date

credit_note_prefix
string

string, Credit Note Number Prefix

credit_note_number
integer

string, Credit Note Number

reference_number
integer

string, Credit Note Reference Number (max: 6)

notes
string

string, Public notes for Credit Note

private_notes
string

string, Private notes for Credit Note

product[]
integer

integer, IDs of the products

quantity[]
integer

integer, Quantities of the products

price[]
integer

integer, Prices (in cents. ex: 5.30 => 530) of the products

taxes[]
string

integer, IDs of the tax types (required if tax per item enabled)

discount[]
string

integer, Discount amounts for products (required if tax per item enabled)

total[]
integer

integer, Total price after discount, and taxes (in cents. ex: 5.30 => 530) of the products

template_id
integer

integer, Credit Note Template ID

sub_total
integer

integer, Total before taxes and discounts (in cents. ex: 5.30 => 530)

total_taxes[]
integer

integer, IDs of the tax types (required if tax per item disabled)

total_discount
integer

integer, Discount amount for Credit Note Total (required if tax per item disabled)

grand_total
integer

integer, Grand Total after taxes and discounts (in cents. ex: 5.30 => 530)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Credit Note Added"
}

Get credit note details.

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the credit note.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update credit note.

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the credit note.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
customer_id
integer

integer, ID of the customer

credit_note_date
string

date, Credit Note Date

credit_note_prefix
string

string, Credit Note Number Prefix

credit_note_number
integer

string, Credit Note Number

reference_number
integer

string, Credit Note Reference Number (max: 6)

notes
string

string, Public notes for Credit Note

private_notes
string

string, Private notes for Credit Note

product[]
integer

integer, IDs of the products

quantity[]
integer

integer, Quantities of the products

price[]
integer

integer, Prices (in cents. ex: 5.30 => 530) of the products

taxes[]
string

integer, IDs of the tax types (required if tax per item enabled)

discount[]
string

integer, Discount amounts for products (required if tax per item enabled)

total[]
integer

integer, Total price after discount, and taxes (in cents. ex: 5.30 => 530) of the products

template_id
integer

integer, Credit Note Template ID

sub_total
integer

integer, Total before taxes and discounts (in cents. ex: 5.30 => 530)

total_taxes[]
integer

integer, IDs of the tax types (required if tax per item disabled)

total_discount
integer

integer, Discount amount for Credit Note Total (required if tax per item disabled)

grand_total
integer

integer, Grand Total after taxes and discounts (in cents. ex: 5.30 => 530)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Credit Note Updated"
}

Delete credit note.

Authorizations:
path Parameters
id
required
integer
Example: 7

The ID of the credit note.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Credit Note Deleted"
}

Send credit note as an email to customer

Authorizations:
path Parameters
id
required
integer
Example: 2
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "An email was sent to Customer"
}

Change credit note status

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the credit note.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
status
string

string, New status of credit note. Possible Values: SENT, DRAFT

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Credit Note Status Updated"
}

Get all credit note's refunds.

Authorizations:
path Parameters
credit_note_id
required
integer
Example: 2

integer, The ID of the credit note.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{}

Create new credit note refund.

Authorizations:
path Parameters
credit_note
required
integer
Example: 2

integer, ID of the credit note

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
refund_date
string

date, The date of the refund

payment_method_id
integer

integer, ID of payment type

amount
integer

integer, Prices (in cents. ex: 5.30 => 530) of the products

notes
string

string, Note about the refund

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Refund Issued"
}

Delete credit note refund.

Authorizations:
path Parameters
credit_note
required
integer
Example: 2
refund
required
integer
Example: 2
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "messages.refund_deleted"
}

Custom Field

APIs for managing custom fields

Get all custom fields.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{}

Create new custom field.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Custom Field Name

label
string

string, Custom Field Label

model_type
string

string, Type of model where custom field applies. Possible Values: Customer, Invoice, Estimate, Payment, Expense, Product, Vendor, CreditNote

order
integer

integer, Order for displaying

type
string

string, Possible Values: Input,TextArea,Phone,Url,Number,Dropdown,Switch,Date,Time,DateTime

is_required
integer

boolean, To make the field required or not

placeholder
string

string, Placeholder for input

options
string

array, Options for 'Select' type (required if the type=Dropdown)

default_value
string

mixed, Default value for the custom field

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Custom Field Created"
}

Get custom field details

Authorizations:
path Parameters
id
required
integer
Example: 1

The ID of the custom field.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update custom field

Authorizations:
path Parameters
id
required
integer
Example: 6

The ID of the custom field.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Custom Field Name

label
string

string, Custom Field Label

model_type
string

string, Type of model where custom field applies. Possible Values: Customer, Invoice, Estimate, Payment, Expense, Product, Vendor, CreditNote

order
integer

integer, Order for displaying

type
string

string, Possible Values: Input,TextArea,Phone,Url,Number,Dropdown,Switch,Date,Time,DateTime

is_required
integer

boolean, To make the field required or not

placeholder
string

string, Placeholder for input

options
string

array, Options for 'Select' type (required if the type=Dropdown)

default_value
string

mixed, Default value for the custom field

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Custom Field Updated"
}

Delete custom field

Authorizations:
path Parameters
id
required
integer
Example: 5

The ID of the custom field.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Custom Field Deleted"
}

Customer

APIs for managing customers

Get all customers.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {},
  • "meta": {},
  • "success": true
}

Create new customer.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
display_name
string

string, Name of the customer

contact_name
string

string, Name of the contact person

email
string

string, Email of the customer

phone
integer

string, Phone number of the customer

currency_id
integer

integer, ID of the Currency

website
string

string, Customer Website

vat_number
integer

string, Customer VAT Number

password
string

string, Customer Portal password (leave it blank to generate automatically)

billing[name]
string

string, Billing address name

billing[phone]
integer

string, Billing phone number

billing[country_id]
integer

string, Billing Country ID

billing[state]
string

string, Billing state

billing[city]
string

string, Billing city

billing[zip]
integer

string, Billing zip code

billing[address_1]
string

string, Billing address

shipping[name]
string

string, Shipping address name

shipping[phone]
integer

string, Shipping phone number

shipping[country_id]
integer

string, Shipping Country ID

shipping[state]
string

string, Shipping state

shipping[city]
string

string, Shipping city

shipping[zip]
integer

string, Shipping zip code

shipping[address_1]
string

string, Shipping address

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Customer Added"
}

Get customer details.

Authorizations:
path Parameters
id
required
integer
Example: 10

The ID of the customer.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update customer

Authorizations:
path Parameters
id
required
integer
Example: 11

The ID of the customer.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
display_name
string

string, Name of the customer

contact_name
string

string, Name of the contact person

email
string

string, Email of the customer

phone
integer

string, Phone number of the customer

currency_id
integer

integer, ID of the Currency

website
string

string, Customer Website

vat_number
integer

string, Customer VAT Number

password
string

string, Customer Portal password (leave it blank to generate automatically)

billing[name]
string

string, Billing address name

billing[phone]
integer

string, Billing phone number

billing[country_id]
integer

string, Billing Country ID

billing[state]
string

string, Billing state

billing[city]
string

string, Billing city

billing[zip]
integer

string, Billing zip code

billing[address_1]
string

string, Billing address

shipping[name]
string

string, Shipping address name

shipping[phone]
integer

string, Shipping phone number

shipping[country_id]
integer

string, Shipping Country ID

shipping[state]
string

string, Shipping state

shipping[city]
string

string, Shipping city

shipping[zip]
integer

string, Shipping zip code

shipping[address_1]
string

string, Shipping address

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Invoice Updated"
}

Delete customer

Authorizations:
path Parameters
id
required
integer
Example: 10

The ID of the customer.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Customer Deleted"
}

Estimate

APIs for managing estimates

Get all estimates.

Authorizations:
query Parameters
tab
string
Example: tab=all

string, Filter by status. Possbile Values: all,sent,draft (default:draft)

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {},
  • "meta": {},
  • "success": true
}

Create new estimate.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
customer_id
integer

integer, ID of the customer

estimate_date
string

date, Estimate date

expiry_date
string

date, Expiry date

estimate_prefix
string

string, Estimate number prefix

estimate_number
integer

string, Estimate number

reference_number
integer

string, Estimate reference (max:6)

notes
string

string, Public notes for Estimate

private_notes
string

string, Private notes for Estimate

product[]
integer

integer, IDs of the products

quantity[]
integer

integer, Quantities of the products

price[]
integer

integer, Prices (in cents. ex: 5.30 => 530) of the products

taxes[]
string

integer, IDs of the tax types (required if tax per item enabled)

discount[]
string

integer, Discount amounts for products (required if tax per item enabled)

total[]
integer

integer, Total price after discount, and taxes (in cents. ex: 5.30 => 530) of the products

template_id
integer

integer, Estimate Template ID

sub_total
integer

integer, Total before taxes and discounts (in cents. ex: 5.30 => 530)

total_taxes[]
integer

integer, IDs of the tax types (required if tax per item disabled)

total_discount
integer

integer, Discount amount for Estimate Total (required if tax per item disabled)

grand_total
integer

integer, Grand Total after taxes and discounts (in cents. ex: 5.30 => 530)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Estimate Added"
}

Get estimate details

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the estimate.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update estimate

Authorizations:
path Parameters
id
required
integer
Example: 2
query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
customer_id
integer

integer, ID of the customer

estimate_date
string

date, Estimate date

expiry_date
string

date, Expiry date

estimate_prefix
string

string, Estimate number prefix

estimate_number
integer

string, Estimate number

reference_number
integer

string, Estimate reference (max:6)

notes
string

string, Public notes for Credit Note

private_notes
string

string, Private notes for Credit Note

product[]
integer

integer, IDs of the products

quantity[]
integer

integer, Quantities of the products

price[]
integer

integer, Prices (in cents. ex: 5.30 => 530) of the products

taxes[]
string

integer, IDs of the tax types (required if tax per item enabled)

discount[]
string

integer, Discount amounts for products (required if tax per item enabled)

total[]
integer

integer, Total price after discount, and taxes (in cents. ex: 5.30 => 530) of the products

template_id
integer

integer, Estimate Template ID

sub_total
integer

integer, Total before taxes and discounts (in cents. ex: 5.30 => 530)

total_taxes[]
integer

integer, IDs of the tax types (required if tax per item disabled)

total_discount
integer

integer, Discount amount for Estimate Total (required if tax per item disabled)

grand_total
integer

integer, Grand Total after taxes and discounts (in cents. ex: 5.30 => 530)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Estimate Updated"
}

Delete estimate

Authorizations:
path Parameters
id
required
integer
Example: 3

The ID of the estimate.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Estimate Deleted"
}

Send estimate as an email to customer

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the estimate.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "An email was sent to Customer"
}

Change estimate status

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the estimate.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
status
string

string, Possible Values: sent,accepted,rejected,draft

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Estimate Status Updated"
}

Convert estimate to invoice

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the estimate.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Invoice Added"
}

Expense

APIs for managing expenses

Get all expenses.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {},
  • "meta": {},
  • "success": true
}

Create new expense.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
expense_category_id
integer

integer, Expense Category ID

vendor_id
string

integer, Vendor ID

amount
integer

integer, Expense Total (in cents. ex: 5.30 => 530)

expense_date
string

date, Expense date

notes
string

string, Note

is_recurring
integer

boolean, Is recurring? Possible Values: 0,1

cycle
integer

integer, Recurring cycle (-1 for unlimited)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Expense Added"
}

Get expense details.

Authorizations:
path Parameters
id
required
integer
Example: 3

The ID of the expense.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update expense.

Authorizations:
path Parameters
id
required
integer
Example: 3

The ID of the expense.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
expense_category_id
integer

integer, Expense Category ID

vendor_id
string

integer, Vendor ID

amount
integer

integer, Expense Total (in cents. ex: 5.30 => 530)

expense_date
string

date, Expense date

notes
string

string, Note

is_recurring
integer

boolean, Is recurring? Possible Values: 0,1

cycle
integer

integer, Recurring cycle (-1 for unlimited)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Expense Updated"
}

Delete expense.

Authorizations:
path Parameters
id
required
integer
Example: 3

The ID of the expense.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Expense Deleted"
}

Expense Category

APIs for managing expense categories

Get all expense categories.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{}

Create new expense category.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Category name

description
string

string, Category description

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Expense Category Added"
}

Get expense category details

Authorizations:
path Parameters
id
required
integer
Example: 85

The ID of the expense category.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update expense category.

Authorizations:
path Parameters
id
required
integer
Example: 85

The ID of the expense category.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Category name

description
string

string, Category description

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Expense Category Updated"
}

Delete expense category.

Authorizations:
path Parameters
id
required
integer
Example: 85

The ID of the expense category.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Expense Category Deleted"
}

Invoice

APIs for managing invoices

Get all invoices.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {},
  • "meta": {},
  • "success": true
}

Create new invoice.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
customer_id
integer

integer, ID of the customer

invoice_date
string

date, Invoice date

due_date
string

date, Due date

invoice_prefix
string

string, Invoice number prefix

invoice_number
integer

string, Invoice number

reference_number
integer

string, Invoice reference (max:6)

notes
string

string, Public notes for Invoice

private_notes
string

string, Private notes for Invoice

product[]
integer

integer, IDs of the products

quantity[]
integer

integer, Quantities of the products

price[]
integer

integer, Prices (in cents. ex: 5.30 => 530) of the products

taxes[]
string

integer, IDs of the tax types (required if tax per item enabled)

discount[]
string

integer, Discount amounts for products (required if tax per item enabled)

total[]
integer

integer, Total price after discount, and taxes (in cents. ex: 5.30 => 530) of the products

template_id
integer

integer, Invoice Template ID

sub_total
integer

integer, Total before taxes and discounts (in cents. ex: 5.30 => 530)

total_taxes[]
integer

integer, IDs of the tax types (required if tax per item disabled)

total_discount
integer

integer, Discount amount for Estimate Total (required if tax per item disabled)

grand_total
integer

integer, Grand Total after taxes and discounts (in cents. ex: 5.30 => 530)

is_recurring
integer

boolean, Is recurring? Possible Values: 0,1

cycle
integer

integer, Recurring cycle (-1 for unlimited)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Invoice Added"
}

Get invoice details.

Authorizations:
path Parameters
id
required
integer
Example: 9

The ID of the invoice.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update invoice.

Authorizations:
path Parameters
id
required
integer
Example: 9

The ID of the invoice.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
customer_id
integer

integer, ID of the customer

invoice_date
string

date, Invoice date

due_date
string

date, Due date

invoice_prefix
string

string, Invoice number prefix

invoice_number
integer

string, Invoice number

reference_number
integer

string, Invoice reference (max:6)

notes
string

string, Public notes for Invoice

private_notes
string

string, Private notes for Invoice

product[]
integer

integer, IDs of the products

quantity[]
integer

integer, Quantities of the products

price[]
integer

integer, Prices (in cents. ex: 5.30 => 530) of the products

taxes[]
string

integer, IDs of the tax types (required if tax per item enabled)

discount[]
string

integer, Discount amounts for products (required if tax per item enabled)

total[]
integer

integer, Total price after discount, and taxes (in cents. ex: 5.30 => 530) of the products

template_id
integer

integer, Invoice Template ID

sub_total
integer

integer, Total before taxes and discounts (in cents. ex: 5.30 => 530)

total_taxes[]
integer

integer, IDs of the tax types (required if tax per item disabled)

total_discount
integer

integer, Discount amount for Estimate Total (required if tax per item disabled)

grand_total
integer

integer, Grand Total after taxes and discounts (in cents. ex: 5.30 => 530)

is_recurring
integer

boolean, Is recurring? Possible Values: 0,1

cycle
integer

integer, Recurring cycle (-1 for unlimited)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Invoice Updated"
}

Delete invoice.

Authorizations:
path Parameters
id
required
integer
Example: 8

The ID of the invoice.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Invoice Deleted"
}

Send invoice as an email to customer

Authorizations:
path Parameters
invoice
required
integer
Example: 9
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "An email was sent to Customer"
}

Change invoice status

Authorizations:
path Parameters
invoice
required
integer
Example: 9
query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
status
string

Possible Values: sent,paid,unpaid

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Invoice Status Updated"
}

Payment

APIs for managing payments

Get all payments.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {},
  • "meta": {},
  • "success": true
}

Create new payment.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
payment_prefix
string

string, Payment number prefix

payment_number
integer

string, Payment number

payment_date
string

string, Payment date

customer_id
integer

integer, ID of customer

credit_note_id
integer

integer, ID of credit note

invoice_id
integer

integer, ID of invoice

payment_method_id
integer

integer, ID of payment method

amount
integer

integer, Payment amount (in cents. ex: 5.30 => 530)

notes
string

string, Public note

private_notes
string

string, Private note

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Payment Added"
}

Get payment details.

Authorizations:
path Parameters
id
required
integer
Example: 3

The ID of the payment.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update payment.

Authorizations:
path Parameters
id
required
integer
Example: 3

The ID of the payment.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
payment_prefix
string

string, Payment number prefix

payment_number
integer

string, Payment number

payment_date
string

string, Payment date

customer_id
integer

integer, ID of customer

credit_note_id
integer

integer, ID of credit note

invoice_id
integer

integer, ID of invoice

payment_method_id
integer

integer, ID of payment method

amount
integer

integer, Payment amount (in cents. ex: 5.30 => 530)

notes
string

string, Public note

private_notes
string

string, Private note

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Payment Updated"
}

Delete payment.

Authorizations:
path Parameters
id
required
integer
Example: 4

The ID of the payment.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Payment Deleted"
}

Payment Type

APIs for managing payment types

Get all payment types.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {},
  • "success": true
}

Create new payment type.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Payment type name

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Payment Type Added"
}

Get payment type details.

Authorizations:
path Parameters
id
required
integer
Example: 257

The ID of the payment type.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update payment type.

Authorizations:
path Parameters
id
required
integer
Example: 257

The ID of the payment type.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Payment type name

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Payment Type Updated"
}

Delete payment type.

Authorizations:
path Parameters
id
required
integer
Example: 257

The ID of the payment type.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Payment Type Deleted"
}

Product

APIs for managing products

Get all products.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{}

Create new product.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Product name

description
string

string, Product description

payment_method_id
integer

integer, Payment type ID

price
integer

integer, Price (in cents)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Product Added"
}

Get product details.

Authorizations:
path Parameters
id
required
integer
Example: 4

The ID of the product.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update product.

Authorizations:
path Parameters
id
required
integer
Example: 4

The ID of the product.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Product name

description
string

string, Product description

payment_method_id
integer

integer, Payment type ID

price
integer

integer, Price (in cents)

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Product Updated"
}

Delete product.

Authorizations:
path Parameters
id
required
integer
Example: 4

The ID of the product.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Product Deleted"
}

Product Unit

APIs for managing product units

Get all product units.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{}

Create new product unit.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Product Unit name

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Product Unit Added"
}

Get product unit details.

Authorizations:
path Parameters
id
required
integer
Example: 85

The ID of the product unit.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update product unit.

Authorizations:
path Parameters
id
required
integer
Example: 85

The ID of the product unit.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Product Unit Updated"
}

Delete product unit.

Authorizations:
path Parameters
id
required
integer
Example: 85

The ID of the product.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Product Unit Deleted"
}

Tax Type

APIs for managing tax types

Get all tax types.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "links": {},
  • "meta": {},
  • "success": true
}

Create new tax type.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Tax name

percent
integer

integer, Tax percentage

description
string

string, Tax description

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Tax Type Added"
}

Get tax type details.

Authorizations:
path Parameters
id
required
integer
Example: 86

The ID of the tax type.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update tax type.

Authorizations:
path Parameters
id
required
integer
Example: 86

The ID of the tax type.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
name
string

string, Tax name

percent
integer

integer, Tax percentage

description
string

string, Tax description

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": ""
}

Delete tax type.

Authorizations:
path Parameters
id
required
integer
Example: 85

The ID of the tax type.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": ""
}

Vendor

APIs for managing vendors

Get all vendors.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{}

Create new vendor.

Authorizations:
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
display_name
string

string, Name of the vendor

contact_name
string

string, Name of the contact person

email
string

string, Email of the vendor

phone
integer

string, Phone number of the vendor

website
string

string, Vendor Website

billing[name]
string

string, Billing address name

billing[phone]
integer

string, Billing phone number

billing[country_id]
integer

string, Billing Country ID

billing[state]
string

string, Billing state

billing[city]
string

string, Billing city

billing[zip]
integer

string, Billing zip code

billing[address_1]
string

string, Billing address

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Vendor Added"
}

Get vendor details.

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the vendor.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Update vendor.

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the vendor.

query Parameters
_method
string
Example: _method=PUT
header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json
Request Body schema: multipart/form-data
display_name
string

string, Name of the vendor

contact_name
string

string, Name of the contact person

email
string

string, Email of the vendor

phone
integer

string, Phone number of the vendor

website
string

string, Vendor Website

billing[name]
string

string, Billing address name

billing[country_id]
integer

string, Billing Country ID

billing[state]
string

string, Billing state

billing[city]
string

string, Billing city

billing[phone]
integer

string, Billing phone number

billing[zip]
integer

string, Billing zip code

billing[address_1]
string

string, Billing address

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true,
  • "message": "Vendor Updated"
}

Delete vendor.

Authorizations:
path Parameters
id
required
integer
Example: 2

The ID of the vendor.

header Parameters
Content-Type
string
Example: application/json
Accept
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true,
  • "message": "Vendor Deleted"
}